Skip to main content
`Ctrl`+`K`

# SNESNEWTONAL

Newton based nonlinear solver that uses a arc-length continuation method to solve the nonlinear system.

## Options Database Keys

- -snes_newtonal_step_size step - Initial arc length increment step size

- -snes_newtonal_max_continuation_steps max - Maximum number of continuation steps, or negative for no limit (not recommended)

- -snes_newtonal_psisq psisq - Regularization parameter for arc length continuation, 0 for cylindrical. Larger values generally lead to more steps.

- -snes_newtonal_lambda_min lambda_min - Minimum value of the load parameter lambda

- -snes_newtonal_lambda_max lambda_max - Maximum value of the load parameter lambda

- -snes_newtonal_scale_rhs (true|false) - Scale the constant vector passed to `SNESSolve` by the load parameter `lambda`

- -snes_newtonal_correction_type (exact|normal) - Type of correction to use in the arc-length continuation method

## Note

The exact correction scheme with partial updates is detailed in [RCorreaC08] and the implementation of the normal correction scheme is based on [LPP+11].

## References

[LPP+11]

Sofie E. Leon, Glaucio H. Paulino, Anderson Pereira, Ivan F. M. Menezes, and Eduardo N. Lages. A unified library of nonlinear solution schemes. Applied Mechanics Reviews, 64(4):040803, July 2011. doi:10.1115/1.4006992.

[RCorreaC08]

Manuel Ritto-Corrêa and Dinar Camotim. On the arc-length and other quadratic control methods: established, less known and new implementation procedures. Computers & Structures, 86(11):1353–1368, June 2008. doi:10.1016/j.compstruc.2007.08.003.

## See Also

SNES: Nonlinear Solvers, `SNESCreate()`, `SNES`, `SNESSetType()`, `SNESNEWTONAL`, `SNESNewtonALSetFunction()`, `SNESNewtonALGetFunction()`, `SNESNewtonALGetLoadParameter()`

## Level

intermediate

## Location

src/snes/impls/al/al.c

## Examples

src/snes/tutorials/ex16.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages